﻿using System;
using System.Collections.Generic;
using Newtonsoft.Json.Linq;

namespace HDL_ON.Entity
{

	public class ControlData
	{
		/// <summary>
		/// 控制属性的名称
		/// </summary>
		public string name;
		/// <summary>
		/// 控制属性的类型
		/// </summary>
		public string data_type;
		/// <summary>
		/// 控制属性的值
		/// </summary>
		public string value;
	}

    public class FunctionControlData
    {
		public string sid = "";

		public List<ControlData> function;

	}


	public class AProtocolEntity
    {
		public List<object> objects = new List<object>();
        public string type;
        public string vendor_code;
        public string command;


		public void ControlFunction(string sid, List<ControlData> function)
		{
			var fcd = new FunctionControlData();
			fcd.sid = sid;
			fcd.function = function;
			objects.Add(fcd);
		}
	}
}