﻿using System;
using Shared;

namespace HDL_ON
{
    [Serializable]
    public class ResponsePack
    {
        public string StateCode { get; set; }

        public string ErrorInfo_En { get; set; }
        public string ErrorInfo_Zh { get; set; }

        public string ErrorInfo {
            get {
                if (Language.CurrentLanguage == "Chinese") {
                    return ErrorInfo_Zh;
                } else {
                    return ErrorInfo_En;
                }
            }
         
        }

        public object ResponseData { get; set; }
    }
}
