﻿using System;
namespace HDL_ON.Entity
{
    public class CityInfo
    {
        public CityInfo()
        {
        }
        /// <summary>
        /// 城市id
        /// </summary>
        public string cid;
        /// <summary>
        /// 位置
        /// </summary>
        public string location;
        /// <summary>
        /// 城市
        /// </summary>
        public string city;
        /// <summary>
        /// 区域
        /// </summary>
        public string province;
        /// <summary>
        /// 国家
        /// </summary>
        public string country;
        /// <summary>
        /// 时区
        /// </summary>
        public string timeZone;

        /// <summary>
        /// 温度
        /// </summary>
        public string temperature = "--°";
        /// <summary>
        /// 湿度
        /// </summary>
        public string humidity = "--";
        /// <summary>
        /// 天气状态
        /// </summary>
        public string weather;
        /// <summary>
        /// 天气代码
        /// </summary>
        public string weatherCode;
        /// <summary>
        /// 风速等级
        /// </summary>
        public string windLevel;
        /// <summary>
        /// 
        /// </summary>
        public string windDir;
        //"UpdateTime": "0001-01-01T00:00:00",
        public string aqi;
        public string air_Quality;
        public string pm10;
        public string pm25 = "--";
        public string no2;
        public string so2;
        public string co;


    }
}
